package com.bjtdba.entity.system;

import com.fasterxml.jackson.annotation.JsonIgnore;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户反馈分类表(FeedbackCategory)实体类
 *
 * @author 何海强
 * @since 2022-11-18 11:46:06
 */
public class FeedbackCategory implements Serializable {
    private static final long serialVersionUID = -27207970718951423L;
    /**
     * 商品分类表ID
     */
    private Integer feedback_category_id;
    /**
     * 父id
     */
    @JsonIgnore
    private Integer pid;
    /**
     * 分类名称
     */
    private String cate_name;
    /**
     * 路径
     */
    @JsonIgnore
    private String path;
    /**
     * 排序
     */
    @JsonIgnore
    private Integer sort;
    /**
     * 图标
     */
    @JsonIgnore
    private String pic;
    /**
     * 是否显示
     */
    @JsonIgnore
    private Integer isShow;
    /**
     * 等级
     */
    @JsonIgnore
    private Long level;
    /**
     * 商户id
     */
    @JsonIgnore
    private Long merId;
    /**
     * 添加时间
     */
    @JsonIgnore
    private Date createTime;


    public Integer getFeedback_category_id() {
        return feedback_category_id;
    }

    public void setFeedback_category_id(Integer feedback_category_id) {
        this.feedback_category_id = feedback_category_id;
    }

    public String getCate_name() {
        return cate_name;
    }

    public void setCate_name(String cate_name) {
        this.cate_name = cate_name;
    }

    public Integer getPid() {
        return pid;
    }

    public void setPid(Integer pid) {
        this.pid = pid;
    }



    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getPic() {
        return pic;
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    public Integer getIsShow() {
        return isShow;
    }

    public void setIsShow(Integer isShow) {
        this.isShow = isShow;
    }

    public Long getLevel() {
        return level;
    }

    public void setLevel(Long level) {
        this.level = level;
    }

    public Long getMerId() {
        return merId;
    }

    public void setMerId(Long merId) {
        this.merId = merId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}

